#Proxmaster
Python RESTful API for managing a grid of vm slaves

##Installation instructions:
```
1. sudo pip3 install -r requirements.txt
2. create config.ini with the following format:
3. chmod +x start.sh
4. create nginx vhost via the provided template files:
- config.ini.dist
- nginx_example_vhost.txt
5. make sure this iptables rule is included:
iptables -A tcp_inbound -p TCP --match multiport --dports 6900:8000 -j ACCEPT #vnc range
6. o/
```
##Proxmox permissions:
1. Datacenter -> Permissions -> Add -> User Permission
2. Path: / User: masteradmin@pve / Role: PVEAdmin
3. $IPT -A tcp_inbound -p TCP -s $PROXIP -j ACCEPT #enable proxmaster
4. Datacenter -> Storage -> Add -> LVM
5. ID: lvm / Volume Group: vm / Content: Disk image, Container
